class Forecast < ApplicationRecord
  belongs_to :area

  WEATHER_SYM_CLEAR_D = "d";
  WEATHER_SYM_CLEAR_N = "n";
  WEATHER_SYM_CLOUD   = "c";
  WEATHER_SYM_RAIN    = "r";
  WEATHER_SYM_SNOW    = "s";
  WEATHER_SYM_THUNDER = "t";

  JMA_LABEL_TO_SYMBOL = {
  }

  def self.weather_to_symbol
    
  end

  def weather_label=(str)
    self[:weather_label] = str
    str.blank? and self.weather_symbol = nil
  end
end
